// -*-C++-*-
/*!
 * @file  Creation3DResultStatusSVC_impl.h
 * @brief Service implementation header of Creation3DResultStatus.idl
 *
 * @author EAST JAPAN ACCOUNTING CENTER CO.,LTD.
 *
 * BSD 3-clause "New" or "Revised" License
 *
 */

#include "Creation3DResultStatusSkel.h"

#ifndef CREATION3DRESULTSTATUSSVC_IMPL_H
#define CREATION3DRESULTSTATUSSVC_IMPL_H
 
/*!
 * @class Creation3DObjResultStatusSVC_impl
 * Example class implementing IDL interface Creation3DObjResultStatusServ::Creation3DObjResultStatus
 */
class Creation3DObjResultStatusSVC_impl
 : public virtual POA_Creation3DObjResultStatusServ::Creation3DObjResultStatus,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~Creation3DObjResultStatusSVC_impl();

   // add to code
   CORBA::ULong m_ul3DObjResultSts;
   CORBA::ULong m_ul3DObjResultNum;

 public:
  /*!
   * @brief standard constructor
   */
   Creation3DObjResultStatusSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~Creation3DObjResultStatusSVC_impl();

   // attributes and operations
   void ReqCreation3DObjResultStatus(CORBA::ULong ul3DObjResultSts);
   CORBA::ULong GetCreation3DObjResultStatus();

};



#endif // CREATION3DRESULTSTATUSSVC_IMPL_H


